import request from '@/utils/request'

// 查询线下服务列表
export function listOfflineServices(query) {
  return request({
    url: '/mall/OfflineServices/list',
    method: 'get',
    params: query
  })
}

// 查询线下服务详细
export function getOfflineServices(serviceId) {
  return request({
    url: '/mall/OfflineServices/' + serviceId,
    method: 'get'
  })
}

// 新增线下服务
export function addOfflineServices(data) {
  return request({
    url: '/mall/OfflineServices',
    method: 'post',
    data: data
  })
}

// 修改线下服务
export function updateOfflineServices(data) {
  return request({
    url: '/mall/OfflineServices',
    method: 'put',
    data: data
  })
}

// 删除线下服务
export function delOfflineServices(serviceId) {
  return request({
    url: '/mall/OfflineServices/' + serviceId,
    method: 'delete'
  })
}
